using System;
class HelloWorld 
{
    static void Main() 
    {
        string[] s = Console.ReadLine().Split(' ');
        int n = int.Parse(s[0]);
        int m = int.Parse(s[1]);
        int[,] a = new int[n,2];
        for(int i = 0; i < n; i++)
        {
            s = Console.ReadLine().Split(' ');
            for(int j = 0; j < 2; j++)
            {
                a[i,j] = int.Parse(s[j]);
            }
        }
        for(int i = 0; i < m; i++)
        {
            s = Console.ReadLine().Split(' ');
            int l = int.Parse(s[0]);
            int r = int.Parse(s[1]);
            int x = int.Parse(s[2]);
            int br = 0;
            for(int j = l-1; j < r; j++)
            {
                if(x >= a[j,0] && x <= a[j,1])
                {
                    br++;
                }
            }
            Console.WriteLine(br);
        }
    }
}